読者です 読者をやめる 読者になる 読者になる

yum updateでエラーが出た

yum update をしたらこんなエラーが出た

==> default: Error: Package: kernel-debug-2.6.32-642.13.1.el6.x86_64 (updates)
==> default:            Requires: kernel-firmware >= 2.6.32-642.13.1.el6
==> default:            Installed: kernel-firmware-2.6.32-431.3.1.el6.noarch (@updates/6.5)
==> default:                kernel-firmware = 2.6.32-431.3.1.el6

http://faq.fusioncom.jp/fcc/web/cloud/faq1556.html

このページを参考に kernel-firmwareのバージョンを変えた

diff -u /etc/yum/pluginconf.d/versionlock.list_org /etc/yum/pluginconf.d/versionlock.list
--- /etc/yum/pluginconf.d/versionlock.list_org 2017-01-22 14:56:45.445033498 +0000
+++ /etc/yum/pluginconf.d/versionlock.list 2017-01-22 14:58:58.980396046 +0000
@@ -1,6 +1,6 @@
# Added locks on Thu Jan 16 20:14:15 2014
0:kernel-headers-2.6.32-431.3.1.el6.*
-0:kernel-firmware-2.6.32-431.3.1.el6.*
+0:kernel-firmware-2.6.32-642.13.1.el6.*
0:kernel-2.6.32-431.3.1.el6.*
0:kernel-devel-2.6.32-431.3.1.el6.*

 

そんでうまく行った